%global commit0 0a948f99f8b4c298189d5ec31bade0cb832d5fbe
%global date 20240120
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
#global tag %%{version}

Name:           mpdevil
Version:        1.11.1
Release:        0.1%{!?tag:.%{date}git%{shortcommit0}}%{?dist}
Summary:        A simple music browser for MPD

License:        GPL-3.0-only
URL:            https://github.com/SoongNoonien/mpdevil
%if 0%{?tag:1}
Source0:       %url/archive/%{version}/%{name}-%{version}.tar.gz
%else
Source0:       %url/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
%endif
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  libappstream-glib
BuildRequires:  meson

Requires:  gtk4
Requires:  python3-mpd2
Requires:  python3-gobject

%description
%{summary}

%prep
%if 0%{?tag:1}
%autosetup -p1
%else
%autosetup -p1 -n %{name}-%{commit0}
%endif

%build
%meson
%meson_build

%install
%meson_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.mpdevil.mpdevil.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/org.mpdevil.mpdevil.appdata.xml

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md NEWS
%{_bindir}/mpdevil
%{_datadir}/applications/org.mpdevil.mpdevil.desktop
%{_datadir}/glib-2.0/schemas/org.mpdevil.mpdevil.gschema.xml
%{_datadir}/icons/hicolor/*/*/org.mpdevil.mpdevil*
%{_datadir}/mpdevil/
%{_metainfodir}/org.mpdevil.mpdevil.appdata.xml

%changelog
* Sun Jan 21 2024 Leigh Scott <leigh123linux@gmail.com> - 1.11.1-0.1.20240120git0a948f9
- Initial package.
